package cn.iocoder.yudao.module.order.dal.dataobject.orderExceptionResult;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 异常处理记录 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_exception_result")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderExceptionResultDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 异常订单id
     */
    private Long orderExceptionId;
    /**
     * 处理人
     */
    private Long handlerId;
    /**
     * 处理时间
     */
    private Date handlerTime;
    /**
     * 处理结果
     */
    private String handlerResult;
    /**
     * 处理备注
     */
    private String handlerRemark;
    /**
     * 数据来源（pc端，mobile端）
     */
    private String source;

    private Long currency;

    private Long customerService;

    private Long productId;

    private java.math.BigDecimal amount;

    private String files;

    private Long channelId;
    private Long lineId;
    private BigDecimal weightLimit;

}
